明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2085|回复: 2

[推荐]搜集的z轴清零~解决不共面造成的无法倒角、无法测量等问题~很好用

  [复制链接]
发表于 2006-12-30 14:03:00 | 显示全部楼层 |阅读模式

(defun c:sw (/ word ss n k en en_data en_type k z xy x y 10_data pt1 new_10_data 11_data pt2
      38_data h new_38_data 12_data pt5 new_12_data 15_data  pt6 new_15_data 16_data
      pt7 new_16_data 13_data pt3 new_13_data 14_data pt4 new_14_data n no key )
  (initget "y n")
  (setq word (getkword "\n是否将物体放在0平面上<n> <y>:"))
  (if (null word)
    (setq word "y")
  )
  (cond ((= word "y") (foun))
 ((= word "Y") (foun))
 ((= word "N") (nil))
 ((= word "n") (nil))
  )
)

(defun foun ()
  (setq ss (ssget "x" ))
  (setq n (sslength ss))
  (setq k 0)
  (repeat n
    (setq en (ssname ss k))
    (setq en_data (entget en))
    (setq en_type (cdr (assoc 0 en_data)))
    (cond ((= en_type "LINE") (line))
   ((= en_type "LWPOLYLINE") (lwpolyline))
   ((= en_type "CIRCLE") (circle))
   ((= en_type "ARC") (circle))
   ((= en_type "DIMENSION") (dimension))
   ((= en_type "MTEXT") (line))
   ((= en_type "TEXT") (line))
   ((= en_type "ATTDEF") (line))
   ((= en_type "ELLIPSE") (line))
   ((= en_type "HATCH") (circle))
   ((= en_type "SOLID") (solid))
   ((= en_type "INSERT") (circle))
   ((= en_type "POINT") (circle))
   ((= en_type "XLINE") (line))
   ((= en_type "LEADER") (leader))
    )
    (entmod en_data)
    (setq k (1+ k))

发表于 2006-12-30 16:57:00 | 显示全部楼层
没发全吧
发表于 2022-11-28 17:16:09 | 显示全部楼层
(defun c:gom();针对master cam转换出的档案,不能圆角,修改共面
(command "move" "all" "" "0,0,0" "")
(command "move" "all" "" "0,0,1e99" "")
(command "move" "all" "" "0,0,0" "")
(command "move" "all" "" "0,0,-1e99" "")
(princ)
)
这样也挺好用
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-16 02:41 , Processed in 0.177999 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表